For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • POSTUpdate User Property
      • POSTSet an Unset Property
      • POSTIncrement/Decrement Numeric Property
      • POSTAppend Values to List
      • POSTRemove Value From List
      • POSTUnset User Property
      • POSTBatch Update User Properties
LogoLogo
LoginTalk to us
API ReferenceUser Properties

Unset User Property

POST
https://api.fyno.io/v1/:WSID/:version/profiles/properties/unset
POST
/v1/:WSID/:version/profiles/properties/unset
$curl -X POST https://api.fyno.io/v1/FYXXXXXXXX/live/profiles/properties/unset \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "$unset": [
> "property_1",
> "property_2",
> "property_n"
> ],
> "distinct_id": "XXXXXXXX"
>}'
1{
2 "request_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
3}

This API enables you to unset (nullify) user properties of your users listed in your User Profiles. If the specified distinct ID or property doesn’t exist, it simply accepts the unset request and ignores it. This API can be used to unset all property data types: String, Number, Boolean, Date, List.

Was this page helpful?
Previous

Batch Update User Properties

Next
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to update the user property.
Allowed values:

Request

This endpoint expects an object.
$unsetlist of stringsRequired
Enter the property names to unset in an array
distinct_idstringRequired
Enter the distinct ID that you use to identify the recipient.

Response

Request has been accepted and will be processed asynchronously.
request_idstring

Errors

400
Bad Request Error
401
Unauthorized Error